Retrieve a form type
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/form_types/{form_type} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "form_type",
"data": {
"type": "td1",
"label": "TD1 Personal Tax Credits Return",
"version_year": 2026,
"version_month": "january",
"owner_types": [
"work_assignment"
],
"exportable_as": [],
"supports_population": false,
"supports_generation": false,
"fields": [
{
"key": "line_1_basic_personal_amount",
"label": "Basic Personal Amount (Line 1)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_2_infirm_children_caregiver_amount",
"label": "Infirm Children Caregiver Amount (Line 2)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_3_age_amount",
"label": "Age Amount (Line 3)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_4_pension_income_amount",
"label": "Pension Income Amount (Line 4)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_5_tuition",
"label": "Tuition (Line 5)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_6_disability_amount",
"label": "Disability Amount (Line 6)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_7_spouse_or_common_law_partner_amount",
"label": "Spouse or Common-law Partner Amount (Line 7)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_8_eligible_dependent_amount",
"label": "Eligible Dependent Amount (Line 8)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_9_infirm_dependent_caregiver_amount",
"label": "Infirm Dependent Caregiver Amount (Line 9)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_10_dependent_caregiver_amount",
"label": "Dependent Caregiver Amount (Line 10)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_11_spouse_or_common_law_transfer_amount",
"label": "Spouse or Common-law Transfer Amount (Line 11)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_12_dependent_transfer_amount",
"label": "Dependent Transfer Amount (Line 12)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_13_total_claim_amount",
"label": "Total Claim Amount (Line 13)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "more_than_one_employer_or_payer",
"label": "You have more than one employer or payer",
"type": "boolean",
"required": false,
"readonly": false
},
{
"key": "total_income_less_than_total_claim_amount",
"label": "Total income is less than total claim amount",
"type": "boolean",
"required": false,
"readonly": false
},
{
"key": "ninety_percent_world_income_taxable_income",
"label": "90% of World Income is Taxable in Canada",
"type": "boolean",
"required": false,
"readonly": false
},
{
"key": "prescribed_zone_deduction",
"label": "Prescribed Zone Deduction",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "additional_tax_deduction",
"label": "Additional Tax Deduction",
"type": "currency",
"required": false,
"readonly": false
}
]
},
"links": {
"self": "/form_types/td1"
}
}Form Types
Retrieve a form type
Endpoint to fetch the structure of a Form.
The following example is for a 2026 TD1, but the response fields will differ depending on the specific Form instance requested.
GET
/
form_types
/
{form_type}
Retrieve a form type
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/form_types/{form_type} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "form_type",
"data": {
"type": "td1",
"label": "TD1 Personal Tax Credits Return",
"version_year": 2026,
"version_month": "january",
"owner_types": [
"work_assignment"
],
"exportable_as": [],
"supports_population": false,
"supports_generation": false,
"fields": [
{
"key": "line_1_basic_personal_amount",
"label": "Basic Personal Amount (Line 1)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_2_infirm_children_caregiver_amount",
"label": "Infirm Children Caregiver Amount (Line 2)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_3_age_amount",
"label": "Age Amount (Line 3)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_4_pension_income_amount",
"label": "Pension Income Amount (Line 4)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_5_tuition",
"label": "Tuition (Line 5)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_6_disability_amount",
"label": "Disability Amount (Line 6)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_7_spouse_or_common_law_partner_amount",
"label": "Spouse or Common-law Partner Amount (Line 7)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_8_eligible_dependent_amount",
"label": "Eligible Dependent Amount (Line 8)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_9_infirm_dependent_caregiver_amount",
"label": "Infirm Dependent Caregiver Amount (Line 9)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_10_dependent_caregiver_amount",
"label": "Dependent Caregiver Amount (Line 10)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_11_spouse_or_common_law_transfer_amount",
"label": "Spouse or Common-law Transfer Amount (Line 11)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_12_dependent_transfer_amount",
"label": "Dependent Transfer Amount (Line 12)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "line_13_total_claim_amount",
"label": "Total Claim Amount (Line 13)",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "more_than_one_employer_or_payer",
"label": "You have more than one employer or payer",
"type": "boolean",
"required": false,
"readonly": false
},
{
"key": "total_income_less_than_total_claim_amount",
"label": "Total income is less than total claim amount",
"type": "boolean",
"required": false,
"readonly": false
},
{
"key": "ninety_percent_world_income_taxable_income",
"label": "90% of World Income is Taxable in Canada",
"type": "boolean",
"required": false,
"readonly": false
},
{
"key": "prescribed_zone_deduction",
"label": "Prescribed Zone Deduction",
"type": "currency",
"required": false,
"readonly": false
},
{
"key": "additional_tax_deduction",
"label": "Additional Tax Deduction",
"type": "currency",
"required": false,
"readonly": false
}
]
},
"links": {
"self": "/form_types/td1"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
200 - application/json
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("form_type").
Hide child attributes
Hide child attributes
The string identifier for this form type.
Available options:
rl1, roe, t4, t4a, td1, td1ab, td1bc, td1mb, td1nb, td1nl, td1ns, td1nt, td1nu, td1on, td1pe, td1sk, td1x, td1yt, tp_1015_3_v, tp_1015_r_13_v The human-readable display name for this form type.
The owner types that can have forms of this type.
Hide child attributes
Hide child attributes
Available options:
rl1, roe, t4, t4a, td1, td1ab, td1bc, td1mb, td1nb, td1nl, td1ns, td1nt, td1nu, td1on, td1pe, td1sk, td1x, td1yt, tp_1015_3_v, tp_1015_r_13_v ⌘I

